# 배포 파일 구성

## 1. SysMaster DB for PostgreSQL 파일 구성

설치 환경에 따른 SysMaster DB for PostgreSQL의 배포 파일은 아래와 같이 구성된다.

### **Docker-compose (Podman-compose) 환경**

```
sysmaster-db
sysmaster-db-{version}.tar
smdb-user-reset.jar
meta.conf
repo.conf
docker-compose.yml
podman-compose.yml
.env
license
    +-- oss_license
        |-- font_licenses.md
        |-- OSS_LICENSES.md
        |-- THIRD-PARTY-NOTICES.txt
        |-- (and other open-source license files)
```

***

## 2. Java PG Agent 파일 구성

Java PG Agent의 배포 파일은 아래와같이 구성된다.

```
jdk8
├── centos7
│   ├── OpenJDK8U-jdk_x64_linux_8u342b07.tar.gz
├── aix7
│   ├── ibm-semeru-open-jdk_ppc64_aix_8u382b05_openj9-0.40.0.tar.gz
util
├── common.sh
set.sh
tryrun.sh
pgagent.jar
application.yml
pgactl.sh
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tibero.com/sysmasterdb-for-postgresql1.0/8.3_manual/installation-guide/prerequisite/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
